Bug 120117 - crash when opening Setting->Configure (Due to Webcam)
Summary: crash when opening Setting->Configure (Due to Webcam)
Status: RESOLVED FIXED
Alias: None
Product: kopete
Classification: Applications
Component: Audio/Video Plugin (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash with 21 votes (vote)
Target Milestone: ---
Assignee: Cláudio da Silveira Pinheiro
URL:
Keywords:
: 119890 123531 123610 124038 124564 125425 125549 125599 125721 125994 126206 126331 126365 126375 126465 126514 127142 127394 127735 128300 128336 128924 128979 129690 131568 138812 (view as bug list)
Depends on:
Blocks:
 
Reported: 2006-01-14 17:47 UTC by sebastien.f
Modified: 2007-08-13 12:29 UTC (History)
27 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
patch to fix (6.16 KB, patch)
2006-04-21 15:47 UTC, Philip Rodrigues
Details
Another patch (757 bytes, patch)
2006-05-30 16:47 UTC, Daigoro Toyama
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sebastien.f 2006-01-14 17:47:55 UTC
Version:            (using KDE KDE 3.5.0)
Installed from:    Compiled From Sources
Compiler:          g++ 4.0.2 ubuntu 
OS:                Linux

kopete crash when going to Setting->Configure.
Kopete is not logged when crashing.

I compile the SVN version : Checked out revision 498049. (dev-0.12)
(I have the same thing with the ubuntu package kopete 0.11)

This cash does not appens all the time. But very often. 8/10.
This is due to webcam because when I unplug this it works.

This what kopete give to me in the konsole:

libkopete: [void Kopete::ContactList::setSelectedItems(QPtrList<Kopete::MetaContact>, QPtrList<Kopete::Group>)] 0 metacontacts, 0 groups selected
kopete: [void KopeteEditGlobalIdentityWidget::setIconSize(int)] Manually changing the icon size.
mamai@ubuntu:~/install/kdenetwork$ kopete: [Kopete::Global::Properties::Properties()]
libkopete: [Kopete::Plugin* Kopete::PluginManager::loadPluginInternal(const QString&)] Successfully loaded plugin 'kopete_msn'
libkopete: [void Kopete::AccountManager::slotPluginLoaded(Kopete::Plugin*)] Creating account for 'mymy-nyc@hotmail.fr'
libkopete: [void Kopete::AccountManager::slotPluginLoaded(Kopete::Plugin*)] Creating account for 'seb456@hotmail.com'
libkopete: [void Kopete::ContactList::slotDisplayNameChanged()] seb
kopete: [void KopeteEditGlobalIdentityWidget::updateGUI(const QString&, const QVariant&)] Updating the GUI reflecting the global identity change.
QMultiInputContext::changeInputMethod(): index=0, slave=xim
libkopete: [void Kopete::ContactList::slotPhotoChanged()]
kopete: [void KopeteEditGlobalIdentityWidget::updateGUI(const QString&, const QVariant&)] Updating the GUI reflecting the global identity change.
kopete (msn): [void MSNAccount::slotGlobalIdentityChanged(const QString&, const QVariant&)]
libkopete: [void Kopete::ContactList::slotPhotoChanged()]  mutex blocked
kopete (msn): [void MSNAccount::slotGlobalIdentityChanged(const QString&, const QVariant&)]
libkopete: [void Kopete::ContactList::slotPhotoChanged()]  mutex blocked
kopete: kopete:config (avdevice): KopeteAVDeviceConfigFactory::instance() called.
kopete: [int Kopete::AV::VideoDevicePool::scanDevices()] called
kopete: [int Kopete::AV::VideoDevicePool::scanDevices()] Looking for devices in /dev/v4l/
kopete: [int Kopete::AV::VideoDevicePool::scanDevices()] Found no suitable devices in /dev/v4l/
kopete: [int Kopete::AV::VideoDevicePool::scanDevices()] Looking for devices in /dev/
kopete: [int Kopete::AV::VideoDevicePool::scanDevices()] scanning devices in /dev/...
kopete: [int Kopete::AV::VideoDevicePool::scanDevices()] Found device /dev/video0
kopete: [int Kopete::AV::VideoDevice::open()] called
kopete: [int Kopete::AV::VideoDevice::open()] File /dev/video0 was opened successfuly
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice() called.
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): /dev/video0 is a V4L2 device.
kopete: [int Kopete::AV::VideoDevice::checkDevice()] Detecting maximum size with VIDIOC_S_FMT failed (34).Returned maxwidth: Planar YUV 4:2:0 32767x32767
kopete: [int Kopete::AV::VideoDevice::checkDevice()] Detecting minimum size with VIDIOC_S_FMT failed (34).Returned maxwidth: 1x1
kopete: [int Kopete::AV::VideoDevice::checkDevice()] Input 0: usb (tuner: false)
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): Supported pixel formats:
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): 8-bit Grayscale
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): 8-bit RGB332
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): 16-bit RGB555
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): 16-bit RGB555X
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): 16-bit RGB565
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): 16-bit RGB565X
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): 24-bit RGB24
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): 24-bit BGR24
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): 32-bit RGB32
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): 32-bit BGR32
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): Packed YUV 4:2:2
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): Packed YVU 4:2:2
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): Planar YUV 4:2:2
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): Planar YUV 4:2:0
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice() exited successfuly.
kopete: [int Kopete::AV::VideoDevice::initDevice()] initDevice() started
kopete: [int Kopete::AV::VideoDevice::initDevice()]     Read/Write interface
kopete: [int Kopete::AV::VideoDevice::initDevice()]     Streaming interface
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()] showDeviceCapabilities() called.
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()] Card: Philips 740 webcam
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()] Capabilities:
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()]     Video capture
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()]         Read
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()]         Streaming
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()]     Max res: 135687600 x -1238676996
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()]     Min res: -1078806352 x -1224202579
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()]     Inputs : 1
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()] Input 0: usb (tuner: 0)
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()] showDeviceCapabilities() exited successfuly.
kopete: [int Kopete::AV::VideoDevice::initDevice()] initDevice() exited successfuly
kopete: [int Kopete::AV::VideoDevice::open()] exited successfuly
kopete: [int Kopete::AV::VideoDevicePool::scanDevices()] File /dev/video0 was opened successfuly
kopete: [int Kopete::AV::VideoDevice::close()]  called.
kopete: [int Kopete::AV::VideoDevice::close()]  Device is open. Trying to properly shutdown the device.
kopete: [int Kopete::AV::VideoDevice::stopCapturing()] called.
kopete: [int Kopete::AV::VideoDevice::stopCapturing()] exited successfuly.
kopete: [int Kopete::AV::VideoDevice::close()] ::close() returns 0
kopete: [int Kopete::AV::VideoDevicePool::open(unsigned int)] open(0) called.
kopete: [int Kopete::AV::VideoDevicePool::close()] VideoDevicePool::close() Current device out of range.
kopete: [int Kopete::AV::VideoDevicePool::open(unsigned int)] open(0) Setting m_current_Device to 0
kopete: [int Kopete::AV::VideoDevicePool::open(unsigned int)] open(0) Calling open().
kopete: [int Kopete::AV::VideoDevice::open()] called
kopete: [int Kopete::AV::VideoDevice::open()] File /dev/video0 was opened successfuly
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice() called.
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): /dev/video0 is a V4L2 device.
kopete: [int Kopete::AV::VideoDevice::checkDevice()] Detecting maximum size with VIDIOC_S_FMT failed (34).Returned maxwidth: Planar YUV 4:2:0 32767x32767
kopete: [int Kopete::AV::VideoDevice::checkDevice()] Detecting minimum size with VIDIOC_S_FMT failed (34).Returned maxwidth: 1x1
kopete: [int Kopete::AV::VideoDevice::checkDevice()] Input 0: usb (tuner: false)
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): Supported pixel formats:
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): 8-bit Grayscale
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): 8-bit RGB332
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): 16-bit RGB555
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): 16-bit RGB555X
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): 16-bit RGB565
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): 16-bit RGB565X
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): 24-bit RGB24
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): 24-bit BGR24
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): 32-bit RGB32
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): 32-bit BGR32
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): Packed YUV 4:2:2
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): Packed YVU 4:2:2
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): Planar YUV 4:2:2
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice(): Planar YUV 4:2:0
kopete: [int Kopete::AV::VideoDevice::checkDevice()] checkDevice() exited successfuly.
kopete: [int Kopete::AV::VideoDevice::initDevice()] initDevice() started
kopete: [int Kopete::AV::VideoDevice::initDevice()]     Read/Write interface
kopete: [int Kopete::AV::VideoDevice::initDevice()]     Streaming interface
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()] showDeviceCapabilities() called.
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()] Card: Philips 740 webcam
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()] Capabilities:
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()]     Video capture
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()]         Read
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()]         Streaming
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()]     Max res: 135687600 x -1238676996
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()]     Min res: -1078806352 x -1224202579
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()]     Inputs : 1
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()] Input 0: usb (tuner: 0)
kopete: [int Kopete::AV::VideoDevice::showDeviceCapabilities()] showDeviceCapabilities() exited successfuly.
kopete: [int Kopete::AV::VideoDevice::initDevice()] initDevice() exited successfuly
kopete: [int Kopete::AV::VideoDevice::open()] exited successfuly
kopete: [int Kopete::AV::VideoDevicePool::open(unsigned int)] open(0) exited successfuly.
kopete: [int Kopete::AV::VideoDevice::setSize(int, int)] setSize(320, 240) called.
kopete: [int Kopete::AV::VideoDevice::setSize(int, int)] VIDIOC_S_FMT failed (34).Returned width: Planar YUV 4:2:0 320x3070764717
kopete: ------------------------- ------- -- m_buffer_size: -194989952 !!! -- ------- -----------------------------------------
terminate called after throwing an instance of 'std::bad_alloc'
  what():  St9bad_alloc
KCrash: Application 'kopete' crashing...
QMultiInputContext::changeInputMethod(): index=0, slave=xim



--SFI
Comment 1 Matt Rogers 2006-01-14 18:33:18 UTC
please provide a backtrace. (copy the output from the backtrace tab of the kde crash handler, and add it as a comment to the bug report)
Comment 2 sebastien.f 2006-01-15 22:20:40 UTC
This is the backtrace. Seems not to be usefull because there are no symbol.
This is strange because I compile kopete svn with --enable-debug=yes ?

(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
0xffffe410 in __kernel_vsyscall ()
#0  0xffffe410 in __kernel_vsyscall ()
#1  0xb63ee463 in ?? ()
#2  0xb713b010 in ?? ()
#3  0xb7074f1b in ?? ()
#4  0x000002b7 in ?? ()
#5  0x00000000 in ?? ()


--SFI
Comment 3 Michel Hermier 2006-01-15 22:35:08 UTC
Stacktrace is corrupted, try to run kopete under valgrind.
Stacktrace is corrupted, try to run kopete under valgrind.<br><br>
Comment 4 sebastien.f 2006-01-16 00:43:20 UTC
Why not. just tell me in 3 lines how to use valgrind and what do you want ?
Comment 5 Matt Rogers 2006-01-31 01:51:08 UTC
can you provide any info on your webcam drivers? name and version number would be helpful since certain versions of certain drivers cause kopete to crash.
Comment 6 sebastien.f 2006-02-04 17:59:30 UTC
Here is an extract from /var/log/syslog from my ubuntu/dapper:

Feb  4 11:35:30 localhost kernel: [4295851.110000] usb 1-1: new full speed USB device using uhci_hcd and address 2
Feb  4 11:35:33 localhost kernel: [4295854.173000] Linux video capture interface: v1.00
Feb  4 11:35:33 localhost kernel: [4295854.267000] pwc Philips webcam module version 10.0.7-unofficial loaded.
Feb  4 11:35:33 localhost kernel: [4295854.267000] pwc Supports Philips PCA645/646, PCVC675/680/690, PCVC720[40]/730/740/750 & PCVC830/840.
Feb  4 11:35:33 localhost kernel: [4295854.267000] pwc Also supports the Askey VC010, various Logitech Quickcams, Samsung MPC-C10 and MPC-C30,
Feb  4 11:35:33 localhost kernel: [4295854.267000] pwc the Creative WebCam 5 & Pro Ex, SOTEC Afina Eye and Visionite VCS-UC300 and VCS-UM100.
Feb  4 11:35:33 localhost kernel: [4295854.267000] pwc Trace options: 0x00a1
Feb  4 11:35:33 localhost kernel: [4295854.268000] pwc Philips PCVC740K (ToUCam Pro)/PCVC840 (ToUCam II) USB webcam detected.
Feb  4 11:35:33 localhost kernel: [4295854.291000] pwc Registered as /dev/video0.
Feb  4 11:35:33 localhost kernel: [4295854.291000] usbcore: registered new driver Philips webcam
Feb  4 11:35:33 localhost kernel: [4295854.371000] usbcore: registered new driver snd-usb-audio
Comment 7 Olivier Goffart 2006-03-24 11:08:40 UTC
*** Bug 123610 has been marked as a duplicate of this bug. ***
Comment 8 Olivier Goffart 2006-03-24 11:11:28 UTC
*** Bug 124038 has been marked as a duplicate of this bug. ***
Comment 9 Olivier Goffart 2006-03-24 11:12:47 UTC
The backtrace from the bug 124038:

 #8  0xb615f2b9 in abort () from /lib/tls/i686/cmov/libc.so.6 
 #9  0xb633cc84 in __gnu_cxx::__verbose_terminate_handler () 
    from /usr/lib/libstdc++.so.6 
 #10 0xb633a915 in __gxx_personality_v0 () from /usr/lib/libstdc++.so.6 
 #11 0xb633a94a in std::terminate () from /usr/lib/libstdc++.so.6 
 #12 0xb633aa7e in __cxa_throw () from /usr/lib/libstdc++.so.6 
 #13 0xb633ae81 in operator new () from /usr/lib/libstdc++.so.6 
 #14 0xb633af3d in operator new[] () from /usr/lib/libstdc++.so.6 
 #15 0xb5a97687 in QValueVectorPrivate<unsigned char>::insert () 
    from /usr/lib/libkopete_videodevice.so.0 
 #16 0xb5a97b2f in QValueVector<unsigned char>::insert () 
    from /usr/lib/libkopete_videodevice.so.0 
 #17 0xb5a9356f in Kopete::AV::VideoDevice::setSize () 
    from /usr/lib/libkopete_videodevice.so.0 
 #18 0xb5a9590a in Kopete::AV::VideoDevicePool::setSize () 
    from /usr/lib/libkopete_videodevice.so.0 
 #19 0xb506ce31 in AVDeviceConfig::AVDeviceConfig () 
    from /usr/lib/kde3/kcm_kopete_avdeviceconfig.so 
 #20 0xb506f0f0 in KGenericFactory<AVDeviceConfig, QWidget>::createObject () 
    from /usr/lib/kde3/kcm_kopete_avdeviceconfig.so 
Comment 10 Olivier Goffart 2006-03-31 13:54:49 UTC
*** Bug 119890 has been marked as a duplicate of this bug. ***
Comment 11 Juuso Alasuutari 2006-04-15 03:24:24 UTC
This happens to me also. I'm running a source-based distro with 2.6.16-ck4 kernel, Xorg 6.9, QT 3.3.6, KDE 3.5.2 and nvidia_driver 1.0-8756, all built with gcc 4.0.3. Here is a backtrace:

Using host libthread_db library "/lib/libthread_db.so.1".
[KCrash handler]
#9  0xb5f82bda in Kopete::AV::VideoDevice::getBrightness ()
   from /usr/lib/libkopete_videodevice.so.0
#10 0xb5f864a2 in Kopete::AV::VideoDevicePool::getBrightness ()
   from /usr/lib/libkopete_videodevice.so.0
#11 0xb4e8c6a6 in AVDeviceConfig::setVideoInputParameters ()
   from /usr/lib/kde3/kcm_kopete_avdeviceconfig.so
#12 0xb4e8d180 in AVDeviceConfig::AVDeviceConfig ()
   from /usr/lib/kde3/kcm_kopete_avdeviceconfig.so
#13 0xb4e8de64 in KDEPrivate::ConcreteFactory<AVDeviceConfig, QWidget>::create
    () from /usr/lib/kde3/kcm_kopete_avdeviceconfig.so
#14 0xb4e8debb in KDEPrivate::ConcreteFactory<AVDeviceConfig, QWidget>::create
    () from /usr/lib/kde3/kcm_kopete_avdeviceconfig.so
#15 0xb4e8df02 in KGenericFactory<AVDeviceConfig, QWidget>::createObject ()
   from /usr/lib/kde3/kcm_kopete_avdeviceconfig.so
#16 0xb781e39a in KLibFactory::create () from /usr/lib/libkdecore.so.4
#17 0xb7dff66a in KCModuleLoader::load () from /usr/lib/libkutils.so.1
#18 0xb7dffafd in KCModuleLoader::loadModule () from /usr/lib/libkutils.so.1
#19 0xb7e0a11c in KCModuleProxy::realModule () from /usr/lib/libkutils.so.1
#20 0xb7e0a653 in KCModuleProxy::buttons () from /usr/lib/libkutils.so.1
#21 0xb7e00388 in KCMultiDialog::slotAboutToShow ()
   from /usr/lib/libkutils.so.1
#22 0xb7e00ca8 in KCMultiDialog::qt_invoke () from /usr/lib/libkutils.so.1
#23 0xb71db671 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#24 0xb7a57f36 in KDialogBase::aboutToShowPage () from /usr/lib/libkdeui.so.4
#25 0xb7a5802b in KDialogBase::qt_emit () from /usr/lib/libkdeui.so.4
#26 0xb7e00b41 in KCMultiDialog::qt_emit () from /usr/lib/libkutils.so.1
#27 0xb71db665 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#28 0xb7a5d662 in KJanusWidget::aboutToShowPage () from /usr/lib/libkdeui.so.4
#29 0xb7a5d6ae in KJanusWidget::qt_emit () from /usr/lib/libkdeui.so.4
#30 0xb71db6e7 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#31 0xb745e0d5 in QWidgetStack::aboutToShow () from /usr/lib/libqt-mt.so.3
#32 0xb72ce066 in QWidgetStack::raiseWidget () from /usr/lib/libqt-mt.so.3
#33 0xb7a5ea85 in KJanusWidget::showPage () from /usr/lib/libkdeui.so.4
#34 0xb7a5ec16 in KJanusWidget::showPage () from /usr/lib/libkdeui.so.4
#35 0xb7a5dc1d in KJanusWidget::slotShowPage () from /usr/lib/libkdeui.so.4
#36 0xb7a5dc73 in KJanusWidget::qt_invoke () from /usr/lib/libkdeui.so.4
#37 0xb71db671 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#38 0xb71dbd92 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#39 0xb7452b4f in QListBox::selectionChanged () from /usr/lib/libqt-mt.so.3
#40 0xb7279b65 in QListBox::setSelected () from /usr/lib/libqt-mt.so.3
#41 0xb727b64e in QListBox::mousePressEventEx () from /usr/lib/libqt-mt.so.3
#42 0xb727ba38 in QListBox::mousePressEvent () from /usr/lib/libqt-mt.so.3
#43 0xb7205934 in QWidget::event () from /usr/lib/libqt-mt.so.3
#44 0xb71989fb in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
#45 0xb7198d0d in QApplication::notify () from /usr/lib/libqt-mt.so.3
#46 0xb77b7629 in KApplication::notify () from /usr/lib/libkdecore.so.4
#47 0xb714af4c in QApplication::sendSpontaneousEvent ()
   from /usr/lib/libqt-mt.so.3
#48 0xb71493b0 in QETWidget::translateMouseEvent ()
   from /usr/lib/libqt-mt.so.3
#49 0xb7149f5e in QApplication::x11ProcessEvent () from /usr/lib/libqt-mt.so.3
#50 0xb71582cb in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
#51 0xb71a5f67 in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
#52 0xb71a5edf in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
#53 0xb7193e20 in QApplication::exec () from /usr/lib/libqt-mt.so.3
#54 0x08071c9f in main ()Using host libthread_db library "/lib/libthread_db.so.1".
[KCrash handler]
#9  0xb5f82bda in Kopete::AV::VideoDevice::getBrightness ()
   from /usr/lib/libkopete_videodevice.so.0
#10 0xb5f864a2 in Kopete::AV::VideoDevicePool::getBrightness ()
   from /usr/lib/libkopete_videodevice.so.0
#11 0xb4e8c6a6 in AVDeviceConfig::setVideoInputParameters ()
   from /usr/lib/kde3/kcm_kopete_avdeviceconfig.so
#12 0xb4e8d180 in AVDeviceConfig::AVDeviceConfig ()
   from /usr/lib/kde3/kcm_kopete_avdeviceconfig.so
#13 0xb4e8de64 in KDEPrivate::ConcreteFactory<AVDeviceConfig, QWidget>::create
    () from /usr/lib/kde3/kcm_kopete_avdeviceconfig.so
#14 0xb4e8debb in KDEPrivate::ConcreteFactory<AVDeviceConfig, QWidget>::create
    () from /usr/lib/kde3/kcm_kopete_avdeviceconfig.so
#15 0xb4e8df02 in KGenericFactory<AVDeviceConfig, QWidget>::createObject ()
   from /usr/lib/kde3/kcm_kopete_avdeviceconfig.so
#16 0xb781e39a in KLibFactory::create () from /usr/lib/libkdecore.so.4
#17 0xb7dff66a in KCModuleLoader::load () from /usr/lib/libkutils.so.1
#18 0xb7dffafd in KCModuleLoader::loadModule () from /usr/lib/libkutils.so.1
#19 0xb7e0a11c in KCModuleProxy::realModule () from /usr/lib/libkutils.so.1
#20 0xb7e0a653 in KCModuleProxy::buttons () from /usr/lib/libkutils.so.1
#21 0xb7e00388 in KCMultiDialog::slotAboutToShow ()
   from /usr/lib/libkutils.so.1
#22 0xb7e00ca8 in KCMultiDialog::qt_invoke () from /usr/lib/libkutils.so.1
#23 0xb71db671 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#24 0xb7a57f36 in KDialogBase::aboutToShowPage () from /usr/lib/libkdeui.so.4
#25 0xb7a5802b in KDialogBase::qt_emit () from /usr/lib/libkdeui.so.4
#26 0xb7e00b41 in KCMultiDialog::qt_emit () from /usr/lib/libkutils.so.1
#27 0xb71db665 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#28 0xb7a5d662 in KJanusWidget::aboutToShowPage () from /usr/lib/libkdeui.so.4
#29 0xb7a5d6ae in KJanusWidget::qt_emit () from /usr/lib/libkdeui.so.4
#30 0xb71db6e7 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#31 0xb745e0d5 in QWidgetStack::aboutToShow () from /usr/lib/libqt-mt.so.3
#32 0xb72ce066 in QWidgetStack::raiseWidget () from /usr/lib/libqt-mt.so.3
#33 0xb7a5ea85 in KJanusWidget::showPage () from /usr/lib/libkdeui.so.4
#34 0xb7a5ec16 in KJanusWidget::showPage () from /usr/lib/libkdeui.so.4
#35 0xb7a5dc1d in KJanusWidget::slotShowPage () from /usr/lib/libkdeui.so.4
#36 0xb7a5dc73 in KJanusWidget::qt_invoke () from /usr/lib/libkdeui.so.4
#37 0xb71db671 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#38 0xb71dbd92 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#39 0xb7452b4f in QListBox::selectionChanged () from /usr/lib/libqt-mt.so.3
#40 0xb7279b65 in QListBox::setSelected () from /usr/lib/libqt-mt.so.3
#41 0xb727b64e in QListBox::mousePressEventEx () from /usr/lib/libqt-mt.so.3
#42 0xb727ba38 in QListBox::mousePressEvent () from /usr/lib/libqt-mt.so.3
#43 0xb7205934 in QWidget::event () from /usr/lib/libqt-mt.so.3
#44 0xb71989fb in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
#45 0xb7198d0d in QApplication::notify () from /usr/lib/libqt-mt.so.3
#46 0xb77b7629 in KApplication::notify () from /usr/lib/libkdecore.so.4
#47 0xb714af4c in QApplication::sendSpontaneousEvent ()
   from /usr/lib/libqt-mt.so.3
#48 0xb71493b0 in QETWidget::translateMouseEvent ()
   from /usr/lib/libqt-mt.so.3
#49 0xb7149f5e in QApplication::x11ProcessEvent () from /usr/lib/libqt-mt.so.3
#50 0xb71582cb in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
#51 0xb71a5f67 in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
#52 0xb71a5edf in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
#53 0xb7193e20 in QApplication::exec () from /usr/lib/libqt-mt.so.3
#54 0x08071c9f in main ()
Comment 12 Juuso Alasuutari 2006-04-15 03:29:56 UTC
I forgot to say: I do _not_ have a webcam or any other video device, if one doesn't count Nvidia Geforce Go 6800 as such. The crash happens every time when I click the "Devices" icon in Settings -> Configure.
Comment 13 Juuso Alasuutari 2006-04-15 03:37:26 UTC
A frend also experiences this same crash when clicking on the "Devices" icon. I'll post his backtrace here. Some info: kernel 2.6.16-rt14, Xorg 7, QT 3.3.6, KDE 3.5.2, video card ATI Radeon 9800 XT and open source Radeon driver from mesalib.

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#9  0xb5a06a5d in Kopete::AV::VideoDevice::getBrightness ()
   from /usr/lib/libkopete_videodevice.so.0
#10 0xb5a0eed2 in Kopete::AV::VideoDevicePool::getBrightness ()
   from /usr/lib/libkopete_videodevice.so.0
#11 0xb3d87329 in AVDeviceConfig::setVideoInputParameters ()
   from /usr/lib/kde3/kcm_kopete_avdeviceconfig.so
#12 0xb3d87b84 in AVDeviceConfig::AVDeviceConfig ()
   from /usr/lib/kde3/kcm_kopete_avdeviceconfig.so
(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#9  0xb5a06a5d in Kopete::AV::VideoDevice::getBrightness ()
   from /usr/lib/libkopete_videodevice.so.0
#10 0xb5a0eed2 in Kopete::AV::VideoDevicePool::getBrightness ()
   from /usr/lib/libkopete_videodevice.so.0
#11 0xb3d87329 in AVDeviceConfig::setVideoInputParameters ()
   from /usr/lib/kde3/kcm_kopete_avdeviceconfig.so
#12 0xb3d87b84 in AVDeviceConfig::AVDeviceConfig ()
   from /usr/lib/kde3/kcm_kopete_avdeviceconfig.so
#13 0xb3d8839d in KGenericFactory<AVDeviceConfig, QWidget>::createObject ()
   from /usr/lib/kde3/kcm_kopete_avdeviceconfig.so
#14 0xb7585c51 in KLibFactory::create () from /usr/lib/libkdecore.so.4
#15 0xb7cecd22 in KCModuleLoader::load () from /usr/lib/libkutils.so.1
#16 0xb7ced4f9 in KCModuleLoader::loadModule () from /usr/lib/libkutils.so.1
#17 0xb7cfdb52 in KCModuleProxy::realModule () from /usr/lib/libkutils.so.1
#18 0xb7cfe512 in KCModuleProxy::buttons () from /usr/lib/libkutils.so.1
#19 0xb7cee273 in KCMultiDialog::slotAboutToShow ()
   from /usr/lib/libkutils.so.1
#20 0xb7cee808 in KCMultiDialog::qt_invoke () from /usr/lib/libkutils.so.1
#21 0xb6dcc9f6 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#22 0xb783ce4d in KDialogBase::aboutToShowPage () from /usr/lib/libkdeui.so.4
#23 0xb783d001 in KDialogBase::qt_emit () from /usr/lib/libkdeui.so.4
#24 0xb7cee1a4 in KCMultiDialog::qt_emit () from /usr/lib/libkutils.so.1
#25 0xb6dcca34 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#26 0xb7843b5a in KJanusWidget::aboutToShowPage () from /usr/lib/libkdeui.so.4
#27 0xb7843bbc in KJanusWidget::qt_emit () from /usr/lib/libkdeui.so.4
#28 0xb6dcc9a6 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#29 0xb71cbd16 in QWidgetStack::aboutToShow () from /usr/lib/libqt-mt.so.3
#30 0xb6f3f464 in QWidgetStack::raiseWidget () from /usr/lib/libqt-mt.so.3
#13 0xb3d8839d in KGenericFactory<AVDeviceConfig, QWidget>::createObject ()
   from /usr/lib/kde3/kcm_kopete_avdeviceconfig.so
#14 0xb7585c51 in KLibFactory::create () from /usr/lib/libkdecore.so.4
#15 0xb7cecd22 in KCModuleLoader::load () from /usr/lib/libkutils.so.1
#16 0xb7ced4f9 in KCModuleLoader::loadModule () from /usr/lib/libkutils.so.1
#17 0xb7cfdb52 in KCModuleProxy::realModule () from /usr/lib/libkutils.so.1
#18 0xb7cfe512 in KCModuleProxy::buttons () from /usr/lib/libkutils.so.1
#19 0xb7cee273 in KCMultiDialog::slotAboutToShow ()
   from /usr/lib/libkutils.so.1
#20 0xb7cee808 in KCMultiDialog::qt_invoke () from /usr/lib/libkutils.so.1
#21 0xb6dcc9f6 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#22 0xb783ce4d in KDialogBase::aboutToShowPage () from /usr/lib/libkdeui.so.4
#23 0xb783d001 in KDialogBase::qt_emit () from /usr/lib/libkdeui.so.4
#24 0xb7cee1a4 in KCMultiDialog::qt_emit () from /usr/lib/libkutils.so.1
#25 0xb6dcca34 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#26 0xb7843b5a in KJanusWidget::aboutToShowPage () from /usr/lib/libkdeui.so.4
#27 0xb7843bbc in KJanusWidget::qt_emit () from /usr/lib/libkdeui.so.4
#28 0xb6dcc9a6 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#29 0xb71cbd16 in QWidgetStack::aboutToShow () from /usr/lib/libqt-mt.so.3
#30 0xb6f3f464 in QWidgetStack::raiseWidget () from /usr/lib/libqt-mt.so.3
#31 0xb7849a7f in KJanusWidget::showPage () from /usr/lib/libkdeui.so.4
#32 0xb7849d94 in KJanusWidget::showPage () from /usr/lib/libkdeui.so.4
#33 0xb784492a in KJanusWidget::slotShowPage () from /usr/lib/libkdeui.so.4
#34 0xb7849935 in KJanusWidget::qt_invoke () from /usr/lib/libkdeui.so.4
#35 0xb6dcc9f6 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#36 0xb6dcce54 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#37 0xb71ba74c in QListBox::selectionChanged () from /usr/lib/libqt-mt.so.3
#38 0xb6ecdba4 in QListBox::setSelected () from /usr/lib/libqt-mt.so.3
#39 0xb6ec9818 in QListBox::mousePressEventEx () from /usr/lib/libqt-mt.so.3
#40 0xb6ec9dd4 in QListBox::mousePressEvent () from /usr/lib/libqt-mt.so.3
#41 0xb6e0ece4 in QWidget::event () from /usr/lib/libqt-mt.so.3
#42 0xb6d5baba in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
#43 0xb6d5c9ca in QApplication::notify () from /usr/lib/libqt-mt.so.3
#44 0xb74c71e2 in KApplication::notify () from /usr/lib/libkdecore.so.4
#45 0xb6ce3533 in QETWidget::translateMouseEvent () from /usr/lib/libqt-mt.so.3
#46 0xb6ce1ab1 in QApplication::x11ProcessEvent () from /usr/lib/libqt-mt.so.3
#47 0xb6cf5913 in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
#48 0xb6d7606d in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
#49 0xb6d75f76 in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
#50 0xb6d5b46f in QApplication::exec () from /usr/lib/libqt-mt.so.3
#31 0xb7849a7f in KJanusWidget::showPage () from /usr/lib/libkdeui.so.4
#32 0xb7849d94 in KJanusWidget::showPage () from /usr/lib/libkdeui.so.4
#33 0xb784492a in KJanusWidget::slotShowPage () from /usr/lib/libkdeui.so.4
#34 0xb7849935 in KJanusWidget::qt_invoke () from /usr/lib/libkdeui.so.4
#35 0xb6dcc9f6 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#36 0xb6dcce54 in QObject::activate_signal () from /usr/lib/libqt-mt.so.3
#37 0xb71ba74c in QListBox::selectionChanged () from /usr/lib/libqt-mt.so.3
#38 0xb6ecdba4 in QListBox::setSelected () from /usr/lib/libqt-mt.so.3
#39 0xb6ec9818 in QListBox::mousePressEventEx () from /usr/lib/libqt-mt.so.3
#40 0xb6ec9dd4 in QListBox::mousePressEvent () from /usr/lib/libqt-mt.so.3
#41 0xb6e0ece4 in QWidget::event () from /usr/lib/libqt-mt.so.3
#42 0xb6d5baba in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
#43 0xb6d5c9ca in QApplication::notify () from /usr/lib/libqt-mt.so.3
#44 0xb74c71e2 in KApplication::notify () from /usr/lib/libkdecore.so.4
#45 0xb6ce3533 in QETWidget::translateMouseEvent () from /usr/lib/libqt-mt.so.3
#46 0xb6ce1ab1 in QApplication::x11ProcessEvent () from /usr/lib/libqt-mt.so.3
#47 0xb6cf5913 in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
#48 0xb6d7606d in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
#49 0xb6d75f76 in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
#50 0xb6d5b46f in QApplication::exec () from /usr/lib/libqt-mt.so.3
#51 0x0806dba3 in ?? ()
#52 0xbfe21ce0 in ?? ()
#53 0xbfe21e14 in ?? ()
#54 0xbfe21e0c in ?? ()
#55 0x00000000 in ?? ()
#56 0x00000000 in ?? ()
#57 0x00000001 in ?? ()
#58 0x080c1b2c in typeinfo name for QGList ()
#59 0x080c13ce in typeinfo name for QGList ()
#60 0x080c13b8 in typeinfo name for QGList ()
#61 0x080c13a4 in typeinfo name for QGList ()
#62 0xb7f192eb in _dl_rtld_di_serinfo () from /lib/ld-linux.so.2
#63 0xb696c024 in __libc_start_main () from /lib/libc.so.6
#64 0x0806d351 in ?? ()
#51 0x0806dba3 in ?? ()
#52 0xbfe21ce0 in ?? ()
#53 0xbfe21e14 in ?? ()
#54 0xbfe21e0c in ?? ()
#55 0x00000000 in ?? ()
#56 0x00000000 in ?? ()
#57 0x00000001 in ?? ()
#58 0x080c1b2c in typeinfo name for QGList ()
#59 0x080c13ce in typeinfo name for QGList ()
#60 0x080c13b8 in typeinfo name for QGList ()
#61 0x080c13a4 in typeinfo name for QGList ()
#62 0xb7f192eb in _dl_rtld_di_serinfo () from /lib/ld-linux.so.2
#63 0xb696c024 in __libc_start_main () from /lib/libc.so.6
#64 0x0806d351 in ?? ()
Comment 14 Olivier Goffart 2006-04-15 09:59:44 UTC
*** Bug 124564 has been marked as a duplicate of this bug. ***
Comment 15 Olivier Goffart 2006-04-15 09:59:55 UTC
*** Bug 125425 has been marked as a duplicate of this bug. ***
Comment 16 Jeff Bailes 2006-04-15 10:27:15 UTC
Getting this in SuSE 10.0 aswell.
I have no Webcams or any other video capture devices.

Backtrace:
(no debugging symbols found)
Using host libthread_db library "/lib/tls/libthread_db.so.1".
(no debugging symbols found)
`system-supplied DSO at 0xffffe000' has disappeared; keeping its symbols.
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 1105621760 (LWP 17628)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#6  0x423ff9b3 in Kopete::AV::VideoDevice::getBrightness ()
   from /opt/kde3/lib/libkopete_videodevice.so.0
#7  0x42404b2a in Kopete::AV::VideoDevicePool::getBrightness ()
   from /opt/kde3/lib/libkopete_videodevice.so.0
#8  0x42143a29 in AVDeviceConfig::setVideoInputParameters ()
   from /opt/kde3/lib/kde3/kcm_kopete_avdeviceconfig.so
#9  0x42146a56 in AVDeviceConfig::AVDeviceConfig ()
   from /opt/kde3/lib/kde3/kcm_kopete_avdeviceconfig.so
#10 0x42149454 in KGenericFactory<AVDeviceConfig, QWidget>::createObject ()
   from /opt/kde3/lib/kde3/kcm_kopete_avdeviceconfig.so
#11 0x4097b571 in KLibFactory::create () from /opt/kde3/lib/libkdecore.so.4
#12 0x40255db0 in KCModuleLoader::load () from /opt/kde3/lib/libkutils.so.1
#13 0x402565c5 in KCModuleLoader::loadModule ()
   from /opt/kde3/lib/libkutils.so.1
#14 0x40256d6e in KCModuleProxy::realModule ()
   from /opt/kde3/lib/libkutils.so.1
#15 0x40257c82 in KCModuleProxy::buttons () from /opt/kde3/lib/libkutils.so.1
#16 0x40257d21 in KCMultiDialog::slotAboutToShow ()
   from /opt/kde3/lib/libkutils.so.1
#17 0x40257f08 in KCMultiDialog::qt_invoke () from /opt/kde3/lib/libkutils.so.1
#18 0x40db0929 in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#19 0x407277f5 in KDialogBase::aboutToShowPage ()
   from /opt/kde3/lib/libkdeui.so.4
#20 0x407279bb in KDialogBase::qt_emit () from /opt/kde3/lib/libkdeui.so.4
#21 0x40242514 in KCMultiDialog::qt_emit () from /opt/kde3/lib/libkutils.so.1
#22 0x40db096b in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#23 0x40727fe2 in KJanusWidget::aboutToShowPage ()
   from /opt/kde3/lib/libkdeui.so.4
#24 0x4072804c in KJanusWidget::qt_emit () from /opt/kde3/lib/libkdeui.so.4
#25 0x40db08e6 in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#26 0x41120973 in QWidgetStack::aboutToShow ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#27 0x40ef70f7 in QWidgetStack::raiseWidget ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#28 0x4077fae2 in KJanusWidget::showPage () from /opt/kde3/lib/libkdeui.so.4
#29 0x4077fd06 in KJanusWidget::showPage () from /opt/kde3/lib/libkdeui.so.4
#30 0x407039bb in KJanusWidget::slotShowPage ()
   from /opt/kde3/lib/libkdeui.so.4
#31 0x4077f996 in KJanusWidget::qt_invoke () from /opt/kde3/lib/libkdeui.so.4
#32 0x40db0929 in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#33 0x40db0de0 in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#34 0x4111003c in QListBox::selectionChanged ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#35 0x40e8d360 in QListBox::setSelected () from /usr/lib/qt3/lib/libqt-mt.so.3
#36 0x40e89570 in QListBox::mousePressEventEx ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#37 0x40e89984 in QListBox::mousePressEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#38 0x40deb12b in QWidget::event () from /usr/lib/qt3/lib/libqt-mt.so.3
#39 0x40d4ff41 in QApplication::internalNotify ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#40 0x40d51078 in QApplication::notify () from /usr/lib/qt3/lib/libqt-mt.so.3
#41 0x40a270de in KApplication::notify () from /opt/kde3/lib/libkdecore.so.4
#42 0x40cea11c in QETWidget::translateMouseEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#43 0x40ce8edb in QApplication::x11ProcessEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#44 0x40cfd31a in QEventLoop::processEvents ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#45 0x40d66fd8 in QEventLoop::enterLoop () from /usr/lib/qt3/lib/libqt-mt.so.3
#46 0x40d66ed6 in QEventLoop::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#47 0x40d4f88f in QApplication::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#48 0x0807ae20 in ?? ()
#49 0xbff0acd0 in ?? ()
#50 0xbff0ae04 in ?? ()
#51 0xbff0adfc in ?? ()
#52 0x00000000 in ?? ()
#53 0x00000000 in ?? ()
#54 0x00000001 in ?? ()
#55 0x080bfebc in typeinfo name for QMemArray<char> ()
#56 0x080be2ab in typeinfo name for QMemArray<char> ()
#57 0x080be295 in typeinfo name for QMemArray<char> ()
#58 0x080be281 in typeinfo name for QMemArray<char> ()
#59 0x4142c8d8 in main_arena () from /lib/tls/libc.so.6
#60 0x4142c8d8 in main_arena () from /lib/tls/libc.so.6
#61 0x00000004 in ?? ()
#62 0x00000020 in ?? ()
#63 0x00000011 in ?? ()
#64 0x4142c8a8 in main_arena () from /lib/tls/libc.so.6
#65 0x080bb148 in vtable for QGList ()
#66 0x00000020 in ?? ()
#67 0x08130a18 in ?? ()
#68 0x00000000 in ?? ()
#69 0x081994b8 in ?? ()
#70 0x0819ff20 in ?? ()
#71 0x0819e738 in ?? ()
#72 0x081cb850 in ?? ()
#73 0x00000000 in ?? ()
#74 0x00000000 in ?? ()
#75 0x00000001 in ?? ()
#76 0x0812ccb8 in ?? ()
#77 0x00000000 in ?? ()
#78 0x00000000 in ?? ()
#79 0x081dab28 in ?? ()
#80 0x0819e638 in ?? ()
#81 0x0819eba8 in ?? ()
#82 0x4142c801 in _IO_stdfile_0_lock () from /lib/tls/libc.so.6
#83 0x080bb1cc in vtable for QGList ()
#84 0x08116800 in ?? ()
#85 0x08116660 in ?? ()
#86 0x081b9510 in ?? ()
#87 0x08107160 in vtable for QCString ()
#88 0x081165d8 in ?? ()
#89 0xbff0adc0 in ?? ()
#90 0x0819d6b0 in ?? ()
#91 0x08130a28 in ?? ()
#92 0x0000012f in ?? ()
#93 0x000001ff in ?? ()
#94 0x080bd6dc in typeinfo name for QMemArray<char> ()
#95 0x00000000 in ?? ()
#96 0x0810a7b0 in ?? ()
#97 0x41208801 in ?? () from /usr/lib/qt3/lib/libqt-mt.so.3
#98 0x081decb0 in ?? ()
#99 0x081e0338 in ?? ()
#100 0x410751ee in QGDict::look_ascii () from /usr/lib/qt3/lib/libqt-mt.so.3
#101 0x41324ea0 in __libc_start_main () from /lib/tls/libc.so.6
#102 0x0806d7d1 in ?? ()
Comment 17 Olivier Goffart 2006-04-15 11:14:49 UTC
*** Bug 123531 has been marked as a duplicate of this bug. ***
Comment 18 klee 2006-04-20 05:48:55 UTC
Reproduced on Fedora Core 5, KDE 3.5.2, Kopete 0.11.1.  No webcam here either.  I deleted my $KDEHOME/share/apps/kopete and $KDEHOME/share/config/kopeterc files, and the error persists.  Backtrace:

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
`shared object read from target memory' has disappeared; keeping its symbols.
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208747840 (LWP 3027)]
(no debugging symbols found)
...
(no debugging symbols found)
[KCrash handler]
#6  0x034db4f4 in Kopete::AV::VideoDevice::getBrightness ()
   from /usr/lib/libkopete_videodevice.so.0
#7  0x034e2c08 in Kopete::AV::VideoDevicePool::getBrightness ()
   from /usr/lib/libkopete_videodevice.so.0
#8  0x0349e3d9 in AVDeviceConfig::setVideoInputParameters ()
   from /usr/lib/kde3/kcm_kopete_avdeviceconfig.so
#9  0x0349f164 in AVDeviceConfig::AVDeviceConfig ()
   from /usr/lib/kde3/kcm_kopete_avdeviceconfig.so
#10 0x0349f77f in KGenericFactory<AVDeviceConfig, QWidget>::createObject ()
   from /usr/lib/kde3/kcm_kopete_avdeviceconfig.so
#11 0x0025c3a1 in KLibFactory::create () from /usr/lib/libkdecore.so.4
#12 0x00154e02 in KCModuleLoader::load () from /usr/lib/libkutils.so.1
#13 0x00155617 in KCModuleLoader::loadModule () from /usr/lib/libkutils.so.1
#14 0x00155db0 in KCModuleProxy::realModule () from /usr/lib/libkutils.so.1
#15 0x00157c52 in KCModuleProxy::buttons () from /usr/lib/libkutils.so.1
#16 0x00157cf3 in KCMultiDialog::slotAboutToShow ()
   from /usr/lib/libkutils.so.1
#17 0x00157ed8 in KCMultiDialog::qt_invoke () from /usr/lib/libkutils.so.1
#18 0x053462aa in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#19 0x006cdeb4 in KDialogBase::aboutToShowPage () from /usr/lib/libkdeui.so.4
#20 0x0015ac0b in KCMultiDialog::addModule () from /usr/lib/libkutils.so.1
#21 0x001689ed in KSettings::PageNode::addToDialog ()
   from /usr/lib/libkutils.so.1
#22 0x001688b2 in KSettings::PageNode::addToDialog ()
   from /usr/lib/libkutils.so.1
#23 0x00164342 in KSettings::Dialog::createDialogFromServices ()
   from /usr/lib/libkutils.so.1
#24 0x00164558 in KSettings::Dialog::show () from /usr/lib/libkutils.so.1
#25 0x00502760 in KopetePreferencesAction::slotShowPreferences ()
   from /usr/lib/libkopete.so.1
#26 0x00502812 in KopetePreferencesAction::qt_invoke ()
   from /usr/lib/libkopete.so.1
#27 0x053462aa in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#28 0x05346c3d in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#29 0x00693ef9 in KAction::activated () from /usr/lib/libkdeui.so.4
#30 0x006d4392 in KAction::slotActivated () from /usr/lib/libkdeui.so.4
#31 0x007ba5dd in KAction::slotPopupActivated () from /usr/lib/libkdeui.so.4
#32 0x007ba8a1 in KAction::qt_invoke () from /usr/lib/libkdeui.so.4
#33 0x00502837 in KopetePreferencesAction::qt_invoke ()
   from /usr/lib/libkopete.so.1
#34 0x053462aa in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#35 0x056cf69e in QSignal::signal () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#36 0x053646c7 in QSignal::activate () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#37 0x05461c35 in QPopupMenu::mouseReleaseEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#38 0x0069f38e in KPopupMenu::mouseReleaseEvent () from /usr/lib/libkdeui.so.4
#39 0x05382665 in QWidget::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#40 0x052dda1b in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#41 0x052df21a in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#42 0x0032c233 in KApplication::notify () from /usr/lib/libkdecore.so.4
#43 0x05275ffc in QETWidget::translateMouseEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#44 0x0527414f in QApplication::x11ProcessEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#45 0x0528607b in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#46 0x052f7135 in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#47 0x052f6fde in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#48 0x052dd65f in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#49 0x0806d6c4 in ?? ()
#50 0x00e1b7e4 in __libc_start_main () from /lib/libc.so.6
#51 0x0806cf81 in ?? ()
Comment 19 Philip Rodrigues 2006-04-20 09:01:42 UTC
*** Bug 125721 has been marked as a duplicate of this bug. ***
Comment 20 Philip Rodrigues 2006-04-21 09:41:07 UTC
*** Bug 125994 has been marked as a duplicate of this bug. ***
Comment 21 MM 2006-04-21 11:19:35 UTC
Same here, on gentoo. 
I post my backtrace, bacause it has line numbers, otherwise it seems the same as the others :) I have no webcam either. 
This bug is very annoying, since it won't let me change any Kopete setting, not only those regarting webcams! For me it happens any time I click on Settings -> Configure...

Using host libthread_db library "/lib/libthread_db.so.1".
`system-supplied DSO at 0xffffe000' has disappeared; keeping its symbols.
[Thread debugging using libthread_db enabled]
[New Thread 16384 (LWP 20920)]
[KCrash handler]
#6  Kopete::AV::VideoDevice::getBrightness (this=0xf114f798)
    at videodevice.cpp:1285
#7  0xb57d67ae in Kopete::AV::VideoDevicePool::getBrightness (this=0x83b1a20)
    at videodevicepool.cpp:213
#8  0xb54c6e7a in AVDeviceConfig::setVideoInputParameters (this=0x81210a8)
    at avdeviceconfig.cpp:126
#9  0xb54c6b12 in AVDeviceConfig (this=0x81210a8, parent=0x83b1a20, 
    name=0xb6ad4902 "unnamed", args=@0x83b1a20) at avdeviceconfig.cpp:77
#10 0xb54c87cf in KDEPrivate::ConcreteFactory<AVDeviceConfig, QWidget>::create
    (parent=0x81210a8, name=0xf114f798 <Address 0xf114f798 out of bounds>, 
    args=@0xf114f798) at kgenericfactory.tcc:157
#11 0xb54c8752 in KDEPrivate::ConcreteFactory<AVDeviceConfig, QWidget>::create
    (parentWidget=0xf114f798, 
    widgetName=0xf114f798 <Address 0xf114f798 out of bounds>, 
    parent=0xf114f798, name=0xf114f798 <Address 0xf114f798 out of bounds>, 
    className=0xb72fe329 "KCModule", args=@0xf114f798)
    at kgenericfactory.tcc:132
#12 0xb54c861e in KGenericFactory<AVDeviceConfig, QWidget>::createObject (
    this=0x8120288, parent=0xf114f798, 
    name=0xf114f798 <Address 0xf114f798 out of bounds>, 
    className=0xf114f798 <Address 0xf114f798 out of bounds>, args=@0xf114f798)
    at kgenericfactory.h:193
#13 0xb6f2e0cd in KLibFactory::create (this=0x8120288, parent=0xf114f798, 
    name=0xf114f798 <Address 0xf114f798 out of bounds>, 
    classname=0xf114f798 <Address 0xf114f798 out of bounds>, args=@0xf114f798)
    at klibloader.cpp:83
#14 0xb76d412d in createInstanceFromFactory<KCModule> (factory=0xf114f798, 
    parent=0xf114f798, name=0xf114f798 <Address 0xf114f798 out of bounds>, 
    args=@0x83b1a20) at componentfactory.h:65
#15 0xb76d2b61 in KCModuleLoader::load (mod=@0x8123888, libname=@0xbfcf8810, 
    loader=0x8120288, report=Inline, parent=0x81236f8, 
    name=0xb6ad4902 "unnamed", args=@0xf114f798) at kcmoduleloader.cpp:75
#16 0xb76d3527 in KCModuleLoader::loadModule (mod=@0x8123888, report=Inline, 
    withfallback=false, parent=0x81236f8, name=0xb6ad4902 "unnamed", 
    args=@0x8123858) at kcmoduleloader.cpp:141
#17 0xb76e31ac in KCModuleProxy::realModule (this=0x81236f8)
    at kcmoduleproxy.cpp:185
#18 0xb76e557e in KCModuleProxy::buttons (this=0x81236f8)
    at kcmoduleproxy.cpp:602
#19 0xb76d7029 in KCMultiDialog::slotAboutToShow (this=0x839a1b8, 
    page=0xf114f798) at kcmultidialog.cpp:366
#20 0xb76d488e in KCMultiDialog::qt_invoke (this=0x839a1b8, _id=89, 
    _o=0xbfcf8b40) at kcmultidialog.moc:142
#21 0xb669567c in QObject::activate_signal (this=0x839a1b8, clist=0x8248f40, 
    o=0xbfcf8b40) at qobject.cpp:2355
#22 0xb72226d7 in KDialogBase::aboutToShowPage (this=0x839a1b8, t0=0xf114f798)
    at kdialogbase.moc:333
#23 0xb76d6a4e in KCMultiDialog::addModule (this=0x839a1b8, 
    moduleinfo=@0x83aed38, parentmodulenames=
        {<QValueList<QString>> = {sh = 0x811e580}, <No data fields>}, 
    withfallback=false) at kcmultidialog.cpp:305
#24 0xb76f71da in KSettings::PageNode::addToDialog (this=0x83f15c8, 
    dlg=0x839a1b8) at dialog.cpp:216
#25 0xb76f7023 in KSettings::PageNode::addToDialog (this=0x8384f08, 
    dlg=0x839a1b8) at dialog.cpp:233
#26 0xb76f5466 in KSettings::Dialog::createDialogFromServices (this=0x838f0f0)
    at dialog.cpp:600
#27 0xb76f427a in KSettings::Dialog::show (this=0x838f0f0) at dialog.cpp:416
#28 0xb7f63d6e in KopetePreferencesAction::slotShowPreferences (
    this=0x8295168) at kopetestdaction.cpp:59
#29 0xb7f64a0e in KopetePreferencesAction::qt_invoke (this=0x8295168, _id=18, 
    _o=0xf114f798) at kopetestdaction.moc:82
#30 0xb669567c in QObject::activate_signal (this=0x8295168, clist=0x82951f8, 
    o=0xbfcf91b0) at qobject.cpp:2355
#31 0xb66954d4 in QObject::activate_signal (this=0x8295168, signal=2)
    at qobject.cpp:2324
#32 0xb7187190 in KAction::activated (this=0xf114f798) at kaction.moc:176
#33 0xb7186888 in KAction::slotActivated (this=0x8295168) at kaction.cpp:1102
#34 0xb71869b1 in KAction::slotPopupActivated (this=0x8295168)
    at kaction.cpp:1137
#35 0xb7187546 in KAction::qt_invoke (this=0x8295168, _id=16, _o=0xbfcf9370)
    at kaction.moc:219
#36 0xb7f649f6 in KopetePreferencesAction::qt_invoke (this=0x8295168, _id=16, 
    _o=0xf114f798) at kopetestdaction.moc:84
#37 0xb669567c in QObject::activate_signal (this=0x83010e0, clist=0x8301168, 
    o=0xbfcf9370) at qobject.cpp:2355
#38 0xb6a78b17 in QSignal::signal (this=0x83010e0, t0=@0x8301108)
    at moc_qsignal.cpp:100
#39 0xb66b753b in QSignal::activate (this=0x83010e0) at qsignal.cpp:212
#40 0xb67d26cd in QPopupMenu::mouseReleaseEvent (this=0x82cec38, e=0xbfcf98f0)
    at qpopupmenu.cpp:1691
#41 0xb7172f2c in KPopupMenu::mouseReleaseEvent (this=0x82cec38, e=0xbfcf98f0)
    at kpopupmenu.cpp:511
#42 0xb66d8b05 in QWidget::event (this=0x82cec38, e=0xbfcf98f0)
    at qwidget.cpp:4676
#43 0xb6625205 in QApplication::internalNotify (this=0xbfcf9dc0, 
    receiver=0x82cec38, e=0xbfcf98f0) at qapplication.cpp:2635
#44 0xb6624738 in QApplication::notify (this=0xbfcf9dc0, receiver=0x82cec38, 
    e=0xbfcf98f0) at qapplication.cpp:2421
#45 0xb6e86ddf in KApplication::notify (this=0xbfcf9dc0, receiver=0x82cec38, 
    event=0xbfcf98f0) at kapplication.cpp:550
#46 0xb65acd0e in QApplication::sendSpontaneousEvent (receiver=0x82cec38, 
    event=0xbfcf98f0) at qapplication.h:494
#47 0xb65a4729 in QETWidget::translateMouseEvent (this=0x82cec38, 
    event=0xbfcf9cb0) at qapplication_x11.cpp:4233
#48 0xb65a2318 in QApplication::x11ProcessEvent (this=0xbfcf9dc0, 
    event=0xbfcf9cb0) at qapplication_x11.cpp:3442
#49 0xb65c0295 in QEventLoop::processEvents (this=0x8200cd8, flags=4)
    at qeventloop_x11.cpp:192
#50 0xb663c7a9 in QEventLoop::enterLoop (this=0x8200cd8) at qeventloop.cpp:198
#51 0xb663c6c2 in QEventLoop::exec (this=0x8200cd8) at qeventloop.cpp:145
#52 0xb66253a7 in QApplication::exec (this=0xbfcf9dc0)
    at qapplication.cpp:2758
#53 0x08074a1e in main (argc=-250284136, argv=0xf114f798) at main.cpp:103
Comment 22 Philip Rodrigues 2006-04-21 15:47:47 UTC
Created attachment 15719 [details]
patch to fix

The attached patch seems to fix the problem. If you have the kopete sources,
please apply this patch in libkopete/avdevice and recompile. I made it against
0.12-branch, but it seems to apply against 0.11 too.

Analysis: Available video devices are stored in a QValueVector. Bounds-checking
wasn't done in the (get|set)Brightness etc methods, hence the crashes. The
patch does the bounds-checking and returns a default value if there are no
video devices (or rather, if the requested video device doesn't exist). A
better solution to the problem would be to have a completely different code
path if no video devices are found (eg, don't show the "devices" GUI page, or
something). Anyway, I guess the bounds checking should be done anyway, since it
prevents crashes, with the worst-case then being brightness/contrast/whatever
getting set incorrectly.
Comment 23 Philip Rodrigues 2006-04-21 16:01:56 UTC
Oh, and it looks like there might be two related, but slightly different crashes in this bug report: the backtrace in comment #9 looks different to the others, and I don't think my patch will fix it.
Comment 24 Jussi Kekkonen 2006-04-22 00:23:45 UTC
Oh yes, crash happens, if there's no webcam plugged and trying to tiggle those controls. Philip's patch does fix this, any webcam specialists find any objections to apply this ?
Comment 25 Bartosz Fabianowski 2006-04-22 03:34:55 UTC
*** Bug 125549 has been marked as a duplicate of this bug. ***
Comment 26 Philip Rodrigues 2006-04-25 09:06:49 UTC
*** Bug 126206 has been marked as a duplicate of this bug. ***
Comment 27 Cláudio da Silveira Pinheiro 2006-04-25 10:30:51 UTC
The patch seems ok. I applied it to my local copy and I'm ironing other issues. I'll commit it later on.
Comment 28 Cláudio da Silveira Pinheiro 2006-04-25 17:41:10 UTC
Patch applied, tested, seems to work smoothly.
Comment 29 Adrien Kwok 2006-04-26 02:22:07 UTC
how do you patch it, I forgot the command.


Adrien
Comment 30 Philip Rodrigues 2006-04-26 10:06:58 UTC
patch -p0 < patchfile.diff
Comment 31 Philip Rodrigues 2006-04-27 10:53:13 UTC
*** Bug 126331 has been marked as a duplicate of this bug. ***
Comment 32 Adrien Kwok 2006-04-27 13:21:57 UTC
it asks me what files to patch, I don't have the sourcecode though.... do I have to download it or can I just patch the program without compiling?
Comment 33 Philip Rodrigues 2006-04-27 13:39:48 UTC
You need the source code. You're probably best off waiting until 0.12 is released if you're not already familiar with compiling KDE apps, but if you really want to, you can find instructions at:
http://wiki.kde.org/tiki-index.php?page=Kopete+SVN
Comment 34 Bartosz Fabianowski 2006-04-27 20:17:58 UTC
*** Bug 126365 has been marked as a duplicate of this bug. ***
Comment 35 Bartosz Fabianowski 2006-04-27 23:21:02 UTC
*** Bug 126375 has been marked as a duplicate of this bug. ***
Comment 36 Bartosz Fabianowski 2006-04-29 16:57:26 UTC
*** Bug 126465 has been marked as a duplicate of this bug. ***
Comment 37 Adrien Kwok 2006-04-29 21:45:43 UTC
I can't compile the source-code. Refer to KDE-Forum: http://www.kde-forum.org/thread.php?threadid=14645

Also, I think the Kopete developers should release a 0.11.1 since not everyone who are technically knowledgable like us knows about http://bugs.kde.org or knows how to patch things. 
Comment 38 Bartosz Fabianowski 2006-04-29 21:55:39 UTC
There is no need for a 0.11.1 release - 0.12 is just around the corner and will have the fix for this bug in it.
Comment 39 Jan Ritzerfeld 2006-04-29 22:02:50 UTC
Your config.log says "g++: command not found". Are you sure that gcc-c++ is installed? This is the name of the rpm package with SL 9.2, try "pin g++" in a konsole to find out wether it is installed and what its name is respectively.
Comment 40 Cláudio da Silveira Pinheiro 2006-04-30 02:06:38 UTC
I'd like to point that the fix was backported to kopete stable (0.11.x) and ported to kde4 too, days ago. All bugfixes to video support are ported down and upstream.
Distros must update kde/kopete packages themselves, and lots of them already do it. Providing updated official packages for a myriad of distros is beyond our reach as developers.
Anyway Kopete 0.12 is far better overall than 0.11.x, and if you want your distro to support it you must get in contact with their support line to ask for it. We as developers do not have the power force a distro to release a new version at our will (even developers who currently work for a distro may not be able to do so).
If you want to test it by yourself most developers (including me) are willing and able to help you. We can be reached in irc, server irc.kde.org (affiliated to freenode) in channel #kopete . To be able to compile it by yourself some things are required, like a C++ compiler and other libraries' headers (-dev or -devel packages) kopete depends of. Without it is virtually impossible to compile kopete.
Comment 41 Bartosz Fabianowski 2006-04-30 13:58:15 UTC
*** Bug 126514 has been marked as a duplicate of this bug. ***
Comment 42 Philip Rodrigues 2006-05-02 13:27:08 UTC
*** Bug 125599 has been marked as a duplicate of this bug. ***
Comment 43 Bartosz Fabianowski 2006-05-11 16:35:30 UTC
*** Bug 127142 has been marked as a duplicate of this bug. ***
Comment 44 mi+kde 2006-05-12 16:48:12 UTC
That's an ugly patch, if I may... Can't the check for the current_device's validity be moved into a single location somewhere, instead of repeating it in each method?

Generally, I think, it is wrong to have a function validate its environment and arguments every time. If something is not right, the function should not be callable in the first place.

A function may only validate things, that only the function knows about (like whether the requested gamma makes sense). But the check for whether or not the camera *exists* can and should be done prior to calling these function...
Comment 45 Cláudio da Silveira Pinheiro 2006-05-12 17:52:55 UTC
Let me disagree with you.
By design the VideoDevice and VideoDevicePool APIs have a clear intent to _never_ crash, even if by mistake methods are called in a different order than intended and/or with absurd parameters. Please understand we're accessing _hardware_ and issuing kernel calls, and that the video device is supposed to be accessed concurrently. and doing try/catch exceptions it even uglier and error prone than simply checking if a given QValueVector has elements. I would be glad to discuss a better design pattern that meet the requisites and is cleaner that the present one.
Take in account that the present code is a work-in-progress, so some things are still settling and some proper thread-safe checks are still missing. If you feel you can contribute please don't hesitate about contancting me so we can coordinate our efforts.
Comment 46 Bartosz Fabianowski 2006-05-16 01:38:59 UTC
*** Bug 127394 has been marked as a duplicate of this bug. ***
Comment 47 Bartosz Fabianowski 2006-05-21 02:15:41 UTC
*** Bug 127735 has been marked as a duplicate of this bug. ***
Comment 48 Bartosz Fabianowski 2006-05-30 14:50:22 UTC
*** Bug 128300 has been marked as a duplicate of this bug. ***
Comment 49 Daigoro Toyama 2006-05-30 16:45:28 UTC
Oops, I thought I'd searched hard enough but not found this one before filing #128300. Thanks, Bartosz, for setting it straight.

I've also attached my own patch here. Unlike the first patch attached here, mine simply avoids calling those methods unless there is a current device. Closer to what mi+kde commented above. This is the first patch I've submitted to any open source project, let alone KDE. Please let me know what you guys think.
Comment 50 Daigoro Toyama 2006-05-30 16:47:36 UTC
Created attachment 16363 [details]
Another patch

This fixes the bug that has kopete crash when selecting Settings -> Configure.
The initialiation code was missing a call to "scanDevices()," which was present
in earlier versions of kopete. I added it back in, plus I made sure the call to
setVideoInputParameter() would only be called when a device was present.
Comment 51 Chani 2006-05-31 04:40:03 UTC
*** Bug 128336 has been marked as a duplicate of this bug. ***
Comment 52 Bartosz Fabianowski 2006-06-10 14:00:43 UTC
*** Bug 128924 has been marked as a duplicate of this bug. ***
Comment 53 Bartosz Fabianowski 2006-06-11 03:44:39 UTC
*** Bug 128979 has been marked as a duplicate of this bug. ***
Comment 54 Andre Duffeck 2006-06-23 10:08:54 UTC
*** Bug 129690 has been marked as a duplicate of this bug. ***
Comment 55 Philip Rodrigues 2006-12-20 14:31:37 UTC
*** Bug 138812 has been marked as a duplicate of this bug. ***
Comment 56 Philip Rodrigues 2006-12-20 17:51:03 UTC
Reopening due to bug 138812. It looks like we needs the bounds-checking in videodevice::setbrightness, and a few other places, too.
Comment 57 John Langham 2007-03-04 13:18:40 UTC
Same as http://bugs.kde.org/show_bug.cgi?id=138812 
Same webcam Logitech QC Pro 5000 
Distro is Opensuse 10.2 with KDE 3.5.6 release 31.3 
Cam driver is uvc from svn trunk 20070303 Cam works in both kdetv and luvcview but green screen in Kopete Device configure and crash immediately on trying to alter contrast/brightness etc


System configuration startup check disabled.

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1239734576 (LWP 5127)]
[KCrash handler]
#9  0xb59cfa75 in Kopete::AV::VideoInput::setBrightness ()
   from /opt/kde3/lib/libkopete_videodevice.so.0
#10 0xb59d21e6 in Kopete::AV::VideoDevice::setBrightness ()
   from /opt/kde3/lib/libkopete_videodevice.so.0
#11 0xb59d9094 in Kopete::AV::VideoDevicePool::setBrightness ()
   from /opt/kde3/lib/libkopete_videodevice.so.0
#12 0xb5706a81 in AVDeviceConfig::slotBrightnessSliderChanged ()
   from /opt/kde3/lib/kde3/kcm_kopete_avdeviceconfig.so
#13 0xb57072b6 in AVDeviceConfig::qt_invoke ()
   from /opt/kde3/lib/kde3/kcm_kopete_avdeviceconfig.so
#14 0xb6fb0f4d in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#15 0xb6fb1a92 in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#16 0xb7306610 in QSlider::valueChanged () from /usr/lib/qt3/lib/libqt-mt.so.3
#17 0xb70ca753 in QSlider::valueChange () from /usr/lib/qt3/lib/libqt-mt.so.3
#18 0xb70c0579 in QRangeControl::setValue ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#19 0xb70c9dd7 in QSlider::setValue () from /usr/lib/qt3/lib/libqt-mt.so.3
#20 0xb70cab3a in QSlider::moveSlider () from /usr/lib/qt3/lib/libqt-mt.so.3
#21 0xb70cac9f in QSlider::mouseMoveEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#22 0xb6fe9864 in QWidget::event () from /usr/lib/qt3/lib/libqt-mt.so.3
#23 0xb6f51c77 in QApplication::internalNotify ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#24 0xb6f52c71 in QApplication::notify () from /usr/lib/qt3/lib/libqt-mt.so.3
#25 0xb763dbf2 in KApplication::notify () from /opt/kde3/lib/libkdecore.so.4
#26 0xb6ef1107 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#27 0xb6ef002f in QApplication::x11ProcessEvent ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#28 0xb6f00aba in QEventLoop::processEvents ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#29 0xb6f68710 in QEventLoop::enterLoop () from /usr/lib/qt3/lib/libqt-mt.so.3
#30 0xb6f685a6 in QEventLoop::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#31 0xb6f5163f in QApplication::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#32 0x0807e40b in main ()
Comment 58 Matt Rogers 2007-03-04 15:16:39 UTC
*** Bug 131568 has been marked as a duplicate of this bug. ***
Comment 59 Will Stephenson 2007-03-06 22:00:07 UTC
UVC cams require additional code to decode mjpeg, which is currently being worked upon.

The SVN branch is branches/work/kopete/avdevice_overhaul, for the adventurous.
Comment 60 German de la Cruz 2007-07-30 17:27:04 UTC
what about the uvc webcams?
Comment 61 Cláudio da Silveira Pinheiro 2007-08-03 20:37:33 UTC
I'm coding it. Expect it to work next week.
Comment 62 Alex Lowe 2007-08-11 00:59:03 UTC
I move to close this bug, as it hasn't existed (for me at least) since KDE 3.5.4.
Comment 63 Cláudio da Silveira Pinheiro 2007-08-11 01:34:58 UTC
The bug is real, repeatable with UVC devices. There's a pach in the comunip branch that fixes it, I just didn't commit it to -stable yet cause I'm doing some serious rework to the controls' code.
Comment 64 Cláudio da Silveira Pinheiro 2007-08-12 13:47:02 UTC
The control's code is done, colorspaces fixed, and tested, not a single crash even after stress-testing it with 5 capture devices (comunip branch).
I'll close this bug after I get confirmation from two more testers (who were already contacted).
Comment 65 Cláudio da Silveira Pinheiro 2007-08-13 12:29:27 UTC
Fixed in the comunip branch.